All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.dataselectors.propertyeditor.editors.html
Class TextEntryPropertyEditor

    com.sas.servlet.tbeans.dataselectors.propertyeditor.editors.html.TextEntryPropertyEditor

All Implemented Interfaces:
  HttpActionProviderInterface, com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, com.sas.servlet.tbeans.AJAXControllerURLInterface, ComplexStyleInterface, CompositeComponentInterface, TextEntryPropertyEditorKeysInterface, TextEntryPropertyEditorStyleKeysInterface, RenderableInterface, TemplateInterface, com.sas.servlet.tbeans.TemplateKeyInterface, TransformationInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

    public class TextEntryPropertyEditor

implements TextEntryPropertyEditorStyleKeysInterface, TextEntryPropertyEditorKeysInterface

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DEFAULT_TEMPLATE_FILE_NAME`

Fields inherited from interface com.sas.servlet.tbeans.dataselectors.propertyeditor.editors.html.TextEntryPropertyEditorStyleKeysInterface
`TEXTENTRYPROPERTYEDITOR_INSTRUCTION_TEXT, TEXTENTRYPROPERTYEDITOR_VALUE_LABEL`

Fields inherited from interface com.sas.servlet.tbeans.dataselectors.propertyeditor.editors.html.TextEntryPropertyEditorKeysInterface
`TEXT_ENTRY_PROPERTY_EDITOR_INSTRUCTION_TEXT, TEXT_ENTRY_PROPERTY_EDITOR_TEXT_ENTRY, TEXT_ENTRY_PROPERTY_EDITOR_VALUE_LABEL`

Constructor Summary
`TextEntryPropertyEditor()` Construct a new TextEntry
`TextEntryPropertyEditor(java.lang.String name)` Construct a new TextEntryPropertyEditor
`TextEntryPropertyEditor(java.lang.String name, java.lang.String value)` Construct a new TextEntryPropertyEditor
`TextEntryPropertyEditor(java.lang.String name, java.lang.String value, int size)` Constructs a new TextEntry Transformation Bean
`TextEntryPropertyEditor(java.lang.String name, java.lang.String value, int size, int len)` Constructs a new TextEntry Transformation Bean

Method Summary
`protected java.lang.String` | `getConstructionJavaScript()`
`void` | `write(java.io.PrintWriter out)` Writes the transformed representation of the object

Methods inherited from class com.sas.servlet.tbeans.BaseCompositeTransformation
`applyTemplate, applyTemplate, getActionProvider, getComponent, getComponents, getDefaultTemplate, getStyleInfo, getStyleMap, getTemplate, getTemplateDictionary, getTemplateFileName, getTemplateLocation, getVisibleComponents, isFlushEnabled, propertyChange, removeComponent, setActionProvider, setCleanUpResourcesOn, setComponent, setFlushEnabled, setId, setLocale, setRequest, setResponse, setStyleInfo, setTemplate, setTemplate, setTemplateDictionary, setTemplateFileName, setTemplateLocation, writeTemplate`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCustomAttributes, setInputTransform, setLocaleDependentProperties, setName, setObjectData, setObjectDataProperty, setOutputTransform, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderInterface
`getRequest`

Field Detail

### DEFAULT_TEMPLATE_FILE_NAME

    public static final java.lang.String DEFAULT_TEMPLATE_FILE_NAME

See Also:
  Constant Field Values

Constructor Detail

### TextEntryPropertyEditor

    public TextEntryPropertyEditor()

  Construct a new TextEntry

### TextEntryPropertyEditor

    public TextEntryPropertyEditor(java.lang.String name)

  Construct a new TextEntryPropertyEditor

  Parameters:
    `model` - The model for the TextEntryPropertyEditor alternatives

### TextEntryPropertyEditor

    public TextEntryPropertyEditor(java.lang.String name,
                                   java.lang.String value)

  Construct a new TextEntryPropertyEditor

  Parameters:
    `name` - The field name
    `model` - The model for the TextEntryPropertyEditor alternatives

### TextEntryPropertyEditor

    public TextEntryPropertyEditor(java.lang.String name,
                                   java.lang.String value,
                                   int size)

  Constructs a new TextEntry Transformation Bean

  Parameters:
    `name` - The text field name
    `value` - The initial text value
    `size` - The visible size of the text field

### TextEntryPropertyEditor

    public TextEntryPropertyEditor(java.lang.String name,
                                   java.lang.String value,
                                   int size,
                                   int len)

  Constructs a new TextEntry Transformation Bean

  Parameters:
    `name` - The text field name
    `value` - The initial text value
    `size` - The visible size of the text field
    `len` - The maximum input length

Method Detail

### write

    public void write(java.io.PrintWriter out)
               throws java.io.IOException

  Writes the transformed representation of the object

  Specified by:
    `write` in interface `TransformationInterface`
  Specified by:
    `write` in interface `com.sas.util.WriteToPrintWriterInterface`
  Overrides:
    `write` in class `BaseCompositeTransformation`
  Parameters:
    `out` - The output stream
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

### getConstructionJavaScript

    protected java.lang.String getConstructionJavaScript()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.